using ResourcesManager.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ResourcesManager.Interfaces
{
    public interface IReservationRepository : IDisposable
    {
        IEnumerable<Reservation> GetReservations();
        Reservation GetReservationByID(int id);
        bool InsertReservation(Reservation reservation);
        bool DeleteReservation(int id);
        bool UpdateReservation(Reservation reservation);
    }
}
